import { FileSystemReadSync } from 'kissfs';
import { FileProcessor, Stylable, StylableMeta } from 'stylable';
import { Event, TextDocument, TextDocumentChangeEvent, TextDocuments } from 'vscode-languageserver';
import Provider from './provider';
import { ExtendedTsLanguageService } from './types';
export declare function createProvider(stylable: Stylable, tsLangService: ExtendedTsLanguageService, withFilePrefix?: boolean): Provider;
export declare function toggleLegacy(value: boolean): void;
export declare function createFs(fileSystem: FileSystemReadSync): any;
export declare function createProcessor(fileSystem: FileSystemReadSync): FileProcessor<StylableMeta>;
export interface MinimalDocs extends Partial<FileSystemReadSync> {
    get: (uri: string) => TextDocument;
    keys: () => string[];
}
export interface MinimalDocsDispatcher extends Partial<TextDocuments> {
    onDidChangeContent: Event<TextDocumentChangeEvent>;
    onDidOpen: Event<TextDocumentChangeEvent>;
}
